/* Scrutari - Copyright (c) 2008-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.explore.htmlpages;

import fr.exemole.sctserver.api.SctServer;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.localisation.Lang;
import net.scrutari.supermotcle.api.Supermotcle;
import net.scrutari.supermotcle.api.SupermotcleHolder;
import net.scrutari.supermotcle.api.SupermotcleProvider;


/**
 *
 * @author Vincent Calame
 */
public class SupermotcleListePage extends ExploreHtmlPage {

    private final Lang libLang;

    public SupermotcleListePage(SctServer sctServer, Lang libLang) {
        super(sctServer);
        this.libLang = libLang;
    }

    @Override
    public void handleResponse(HttpServletResponse response) throws IOException {
        SupermotcleProvider supermotcleProvider = sctServer.getScrutariSession().getSupermotcleProvider();
        SupermotcleHolder supermotcleHolder = supermotcleProvider.getSupermotcleHolder(libLang);
        initResponse(response);
        start();
        if (supermotcleHolder == null) {
            escape("Rien pour cette langue");
        } else {
            printSupermotcleHolder(supermotcleHolder);
        }
        end();
    }

    private void printSupermotcleHolder(SupermotcleHolder supermotcleHolder) throws IOException {
        int count = supermotcleHolder.getSupermotcleCount();
        for (int i = 0; i < count; i++) {
            Supermotcle supermotcle = supermotcleHolder.getSupermotcleByIndex(i);
            append(String.valueOf(supermotcle.getCode()));
            append(";");
            escape(supermotcle.getCollationUnit().getSourceString());
            append(";");
            append(String.valueOf(supermotcle.getCodemotcleList().getCodeCount()));
            append(";");
            append(String.valueOf(supermotcle.getIndexationCount()));
            appendBr();
        }
    }

}
