/* Scrutari - Copyright (c) 2008-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.explore.xml;

import fr.exemole.sctserver.api.storage.LogStorage;
import java.io.IOException;
import net.mapeadores.util.primitives.DateInteger;
import net.mapeadores.util.xml.XMLPart;
import net.mapeadores.util.xml.XMLWriter;


/**
 *
 * @author Vincent Calame
 */
public class LogListXMLPart extends XMLPart {

    public LogListXMLPart(XMLWriter xmlWriter) {
        super(xmlWriter);
    }

    public void appendLogList(LogStorage logStorage) throws IOException {
        openTag("log-list");
        int[] moisArray = logStorage.getDateIntegerArray(DateInteger.TYPE_MOIS, 0);
        for (int i = 0; i < moisArray.length; i++) {
            int mois = moisArray[i];
            startLog(mois);
            closeEmptyTag();
        }
        closeTag("log-list");
    }

    private void startLog(int mois) throws IOException {
        startOpenTag("log");
        int annee = DateInteger.getAnnee(mois);
        addAttribute("y", String.valueOf(annee));
        int m = DateInteger.getMois(mois);
        String s = String.valueOf(m);
        if (m < 10) {
            s = "0" + s;
        }
        addAttribute("m", s);
        addAttribute("c", DateInteger.toString(mois));
    }

}
