/* Scrutari - Copyright (c) 2009-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.global;

import fr.exemole.sctserver.servlets.ScrutariContext;
import static fr.exemole.sctserver.servlets.global.GlobalConstants.INDEX_PAGE;
import static fr.exemole.sctserver.servlets.global.GlobalConstants.LIST_PAGE;
import fr.exemole.sctserver.servlets.global.htmlpages.IndexPage;
import fr.exemole.sctserver.servlets.global.htmlpages.ListPage;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.servlets.ResponseHandler;


/**
 *
 * @author Vincent Calame
 */
public class GlobalRequest implements GlobalConstants {

    private final short responseHandlerType;
    private Lang langUi;
    private final ScrutariContext scrutariContext;

    private GlobalRequest(short responseHandlerType, ScrutariContext scrutariContext) {
        this.responseHandlerType = responseHandlerType;
        this.scrutariContext = scrutariContext;
    }

    public static GlobalRequest init(String path, ScrutariContext scrutariContext) {
        short responseHandlerType;
        if (path.equals("/")) {
            responseHandlerType = INDEX_PAGE;
        } else if (path.equals("/Reload")) {
            responseHandlerType = LIST_PAGE;
            scrutariContext.reload();
        } else {
            return null;
        }
        GlobalRequest globalRequest = new GlobalRequest(responseHandlerType, scrutariContext);
        globalRequest.langUi = scrutariContext.getGlobalDefaultLangUi();
        return globalRequest;
    }

    public ResponseHandler getResponsePrinter() {
        switch (responseHandlerType) {
            case INDEX_PAGE:
                return new IndexPage(scrutariContext, langUi);
            case LIST_PAGE:
                return new ListPage(scrutariContext, langUi);
            default:
                return null;
        }
    }

}
