/* Scrutari - Copyright (c) 2009-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.global.htmlpages;

import fr.exemole.sctserver.servlets.ScrutariContext;
import java.io.IOException;
import java.util.List;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.html.HA;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.text.StringUtils;


/**
 *
 * @author Vincent Calame
 */
public class ListPage extends GlobalHtmlPage {

    public ListPage(ScrutariContext scrutariContext, Lang langUi) {
        init(scrutariContext, langUi);
    }

    @Override
    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        HTMLAttributes pAttr = HA.classes("");
        startP(pAttr.classes("scrutari-global-Title"));
        localize("_ info.global.updatedone");
        endP();
        if (scrutariContext.hasError()) {
            startP(pAttr.classes("scrutari-global-ErrorTitle"));
            localize("_ info.global.contexterror");
            endP();
            startP(pAttr.classes("scrutari-global-Error"));
            localize(scrutariContext.getErrorMessage());
            endP();
        }
        List<String> nameList = scrutariContext.getNameList();
        int size = nameList.size();
        startP(pAttr.classes("scrutari-global-ListTitle"));
        if (size == 0) {
            localize("_ info.global.engine_none");
        } else if (size == 1) {
            localize("_ info.global.engine_one");
        } else {
            localize("_ info.global.engine_many", StringUtils.toString(size, langUi.toLocale()));
        }
        endP();
        if (size > 0) {
            startUl();
            for (String name : nameList) {
                startLi();
                escape(name);
                endLi();
            }
            endUl();
        }
        end();
    }

}
