/* ScrutariLib_DB - Copyright (c) 2012-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.db.api;

import net.mapeadores.util.attr.AttributeDef;
import net.mapeadores.util.attr.AttributeDefList;
import net.mapeadores.util.attr.AttributeKey;


/**
 *
 * @author Vincent Calame
 */
public interface AttributeKeyCoder {

    public final static String PRIMARY_GROUP = "primary";
    public final static String SECONDARY_GROUP = "secondary";
    public final static String TECHNICAL_GROUP = "technical";
    public final static int TECHNICAL_ATTRIBUTE = -1;
    public final static int UNKNOWN_ATTRIBUTE = -9;

    public int getAttributeDefCount();


    /**
     * Retourne un entier strictement positif ou les valeurs TECHNICAL_ATTRIBUTE
     * (= -1) si l'attribut est un attribut technique ou UNKNOWN_ATTRIBUTE (=
     * -9) si l'attribut est inconnu. Un attribut technique est un attribut
     * appartenant au groupe de nom TECHNICAL_GROUP.
     */
    public int getAlineaRootCode(AttributeKey attributeKey);

    /**
     * Une liste ne peut pas contenir plus de 999 éléments.
     */
    public AttributeDefList getAttributeDefList(String name);

    public AttributeDef getAttributeDef(AttributeKey attributeKey);

}
