/* ScrutariLib_Data - Copyright (c) 2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.data;

import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.text.Libelle;


/**
 *
 * @author Vincent Calame
 */
final class DataLibelleBuilder {

    private DataLibelleBuilder() {
    }

    static Libelle toLibelle(Lang lang, String libelleString) {
        return new DataLibelle(lang, libelleString);
    }


    private static class DataLibelle implements Libelle {

        private final String libelleString;
        private final Lang lang;

        private DataLibelle(Lang lang, String libelleString) {
            this.lang = lang;
            this.libelleString = libelleString;
        }

        @Override
        public Lang getLang() {
            return lang;
        }

        @Override
        public String getLibelleString() {
            return libelleString;
        }

    }

}
