/* ScrutariLib_Lexie - Copyright (c) 2008-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.lexie;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import net.mapeadores.util.primitives.io.PrimitivesReader;
import net.mapeadores.util.primitives.io.PrimitivesWriter;


/**
 *
 * @author Vincent Calame
 */
public class FicheLexification {

    private Map<Integer, Alinea> map = new HashMap<Integer, Alinea>();

    public FicheLexification() {
    }

    public Alinea getAlinea(int alineaInteger) {
        return map.get(alineaInteger);
    }

    public void putAlinea(int alineaInteger, Alinea lexification) {
        map.put(alineaInteger, lexification);
    }

    public static FicheLexification fromPrimitives(PrimitivesReader primitivesReader) throws IOException {
        FicheLexification ficheLexification = new FicheLexification();
        int size = primitivesReader.readInt();
        for (int i = 0; i < size; i++) {
            int alineaInteger = primitivesReader.readInt();
            Alinea alinea = Alinea.fromPrimitives(primitivesReader);
            ficheLexification.putAlinea(alineaInteger, alinea);
        }
        return ficheLexification;
    }

    public static void toPrimitives(FicheLexification ficheLexification, PrimitivesWriter primitivesWriter) throws IOException {
        Map<Integer, Alinea> map = ficheLexification.map;
        int size = map.size();
        primitivesWriter.writeInt(size);
        for (Map.Entry<Integer, Alinea> entry : map.entrySet()) {
            primitivesWriter.writeInt(entry.getKey());
            Alinea.toPrimitives(entry.getValue(), primitivesWriter);
        }
    }

}
