/* ScrutariLib_SearchEngine - Copyright (c) 2010-2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.options;

import net.mapeadores.util.localisation.Lang;


/**
 *
 * @author Vincent Calame
 */
public interface ComputedOptions {

    public SearchOptions getSearchOptions();

    public PertinencePonderation getPertinencePonderation();

    public boolean hasMandatoryOperand();

    public Lang[] getLangArray();


    public boolean isAllLang();

    /**
     * Nul si les fiches ne sont pas concernés par la recherche
     */
    public int[] getCodecorpusArray();

    /**
     * Nul si les mots-clés ne sont pas concernés par la recherche.
     */
    public int[] getCodethesaurusArray();

    public boolean acceptFiche(int codefiche);

    public boolean acceptMotcle(int codemotcle);

    public int getFicheMaximum();

}
