/* ScrutariLib_SearchEngine - Copyright (c) 2010-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.options;

import net.mapeadores.util.attr.AttributeHolder;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.localisation.LangList;
import net.mapeadores.util.logicaloperation.Operand;


/**
 *
 * @author Vincent Calame
 */
public interface SearchOptionsDef extends AttributeHolder {

    /**
     * Peut être nul.
     */
    public Lang getLangUi();

    /**
     * N'est jamais nul. getLangCount() == 0 indique l'absence de filtre sur la
     * langue.
     */
    public LangList getFilterLangList();

    /**
     * Différentes listes servant de filtres. Ne sont jamais nulles.
     */
    public ScrutariDataURIList getFilterScrutariDataURIList(short type);

    public Operand getFicheEligibilityOperand();

    public Operand getMotcleEligibilityOperand();

    /**
     * Peut être nul.
     */
    public PertinencePonderation getPertinencePonderation();

}
