/* ScrutariLib_Xml - Copyright (c) 2008-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.xml;

import net.scrutari.datauri.BaseURI;
import net.scrutari.db.api.DataCoder;
import net.scrutari.db.api.caches.DataCacheWriter;


/**
 *
 * @author Vincent Calame
 */
public class Parameters {

    private final DataCacheWriter dataCacheWriter;
    private final DataCoder dataCoder;
    private final ScrutariXmlErrorHandler scrutariXmlErrorHandler;
    private BaseURI baseURI;
    private int codebase;

    public Parameters(DataCacheWriter dataCacheWriter, DataCoder dataCoder, ScrutariXmlErrorHandler scrutariXmlErrorHandler) {
        this.dataCacheWriter = dataCacheWriter;
        this.dataCoder = dataCoder;
        this.scrutariXmlErrorHandler = scrutariXmlErrorHandler;
    }

    public DataCacheWriter getDataCacheWriter() {
        return dataCacheWriter;
    }

    public DataCoder getDataCoder() {
        return dataCoder;
    }

    public ScrutariXmlErrorHandler getScrutariXmlErrorHandler() {
        return scrutariXmlErrorHandler;
    }

    public BaseURI getBaseURI() {
        return baseURI;
    }

    public int getCodeBase() {
        return codebase;
    }

    public void newBase(BaseURI baseURI, int codebase) {
        this.baseURI = baseURI;
        this.codebase = codebase;
    }

}
