/* SctServer - Copyright (c) 2011-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request;

import net.mapeadores.util.text.StringUtils;


/**
 *
 * @author Vincent Calame
 */
public class MotcleFieldsFilter {

    private boolean withCodeThesaurus = false;
    private boolean withCodeBase = false;
    private boolean withMotcleId = false;
    private boolean withLibelles = false;
    private boolean withMLibelles = false;
    private boolean withLibellesDefault = false;
    private boolean withThesaurusName = false;
    private boolean withBaseName = false;

    public boolean isWithCodeThesaurus() {
        return withCodeThesaurus;
    }

    public void setWithCodeThesaurus(boolean withCodeThesaurus) {
        this.withCodeThesaurus = withCodeThesaurus;
    }

    public boolean isWithCodeBase() {
        return withCodeBase;
    }

    public void setWithCodeBase(boolean withCodeBase) {
        this.withCodeBase = withCodeBase;
    }

    public boolean isWithMotcleId() {
        return withMotcleId;
    }

    public void setWithMotcleId(boolean withMotcleId) {
        this.withMotcleId = withMotcleId;
    }

    public boolean isWithLibelles() {
        return withLibelles;
    }

    public void setWithLibelles(boolean withLibelles) {
        this.withLibelles = withLibelles;
    }

    public boolean isWithMLibelles() {
        return withMLibelles;
    }

    public void setWithMLibelles(boolean withMLibelles) {
        this.withMLibelles = withMLibelles;
    }

    public boolean isWithLibellesDefault() {
        return withLibellesDefault;
    }

    public void setWithLibellesDefault(boolean withLibellesDefault) {
        this.withLibellesDefault = withLibellesDefault;
    }

    public boolean isWithThesaurusName() {
        return withThesaurusName;
    }

    public void setWithThesaurusName(boolean withThesaurusName) {
        this.withThesaurusName = withThesaurusName;
    }

    public boolean isWithBaseName() {
        return withBaseName;
    }

    public void setWithBaseName(boolean withBaseName) {
        this.withBaseName = withBaseName;
    }

    public void buildFromString(String s) {
        String[] tokens = StringUtils.getTechnicalTokens(s, true);
        int count = tokens.length;
        for (int i = 0; i < count; i++) {
            String token = tokens[i];
            if (token.equals("codethesaurus")) {
                setWithCodeThesaurus(true);
            } else if (token.equals("codebase")) {
                setWithCodeBase(true);
            } else if (token.equals("motcleid")) {
                setWithMotcleId(true);
            } else if (token.equals("libelles")) {
                setWithLibelles(true);
            } else if (token.equals("mlibelles")) {
                setWithMLibelles(true);
            } else if (token.equals("mlibelles_def")) {
                setWithMLibelles(true);
                setWithLibellesDefault(true);
            } else if (token.equals("thesaurusname")) {
                setWithThesaurusName(true);
            } else if (token.equals("basename")) {
                setWithBaseName(true);
            }
        }
    }

}
