/* UtilLib - Copyright (c) 2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.table;

import net.mapeadores.util.primitives.Decimal;


/**
 * Ne tient pas compte de startRow() et endRow()
 *
 * @author Vincent Calame
 */
public class TableWriterPart implements TableWriter {

    private final TableWriter tableWriter;

    public TableWriterPart(TableWriter tableWriter) {
        this.tableWriter = tableWriter;
    }

    @Override
    public void startRow() {
    }

    @Override
    public void addIntegerCell(Long lg) {
        tableWriter.addIntegerCell(lg);
    }

    @Override
    public void addDecimalCell(Decimal decimal) {
        tableWriter.addDecimalCell(decimal);
    }

    @Override
    public void addStringCell(String s) {
        tableWriter.addStringCell(s);
    }

    @Override
    public void addDateCell(Integer dateInteger) {
        tableWriter.addDateCell(dateInteger);
    }

    @Override
    public void addMoneyCell(Long moneyLong, int currencyInteger) {
        tableWriter.addMoneyCell(moneyLong, currencyInteger);
    }

    @Override
    public void endRow() {
    }

}
